aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-04-19 14:04:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-04-19 14:04:03 +0000
commitd91daf05b6af2c1c885295395132428c20816a21 (patch)
tree5c811e997e1d27d11a3bd8f503a03a64b1c5f987 /main/linux-grsec/APKBUILD
parentfbea38f9a65456f1e7e08630201c5e8caea72ed2 (diff)
downloadaports-d91daf05b6af2c1c885295395132428c20816a21.tar.gz
aports-d91daf05b6af2c1c885295395132428c20816a21.tar.bz2
aports-d91daf05b6af2c1c885295395132428c20816a21.tar.xz
main/linux-grsec: fallback to gcc in case CC is not set
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD6
1 files changed, 3 insertions, 3 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index b514a1a5d7..759d6716e3 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -55,7 +55,7 @@ prepare() {
mkdir -p "$srcdir"/build
cp "$srcdir"/$_config "$srcdir"/build/.config
- make -C "$srcdir"/linux-$_kernver O="$srcdir"/build HOSTCC="$CC" \
+ make -C "$srcdir"/linux-$_kernver O="$srcdir"/build HOSTCC="${CC:-gcc}" \
silentoldconfig
}
@@ -68,7 +68,7 @@ menuconfig() {
build() {
cd "$srcdir"/build
- make CC="$CC" || return 1
+ make CC="${CC:--gcc}" || return 1
}
package() {
@@ -99,7 +99,7 @@ dev() {
# external modules, and create the scripts
mkdir -p "$dir"
cp "$srcdir"/$_config "$dir"/.config
- make -j1 -C "$srcdir"/linux-$_kernver O="$dir" HOSTCC="$CC" \
+ make -j1 -C "$srcdir"/linux-$_kernver O="$dir" HOSTCC="${CC:-gcc}" \
silentoldconfig prepare scripts
# remove the stuff that poits to real sources. we want 3rd party